Bug 70814 - a race between vmtruncate, truncate and the race between vmtruncate, truncate and the page fault path
a race between vmtruncate, truncate and the race between vmtruncate, truncate...
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-05 14:39 EDT by Knut J BJuland
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 15:15:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Knut J BJuland 2002-08-05 14:39:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020706

Description of problem:
On Mon, 5 Aug 2002, Christoph Hellwig wrote:
I got this e-mail Rik van Riel <riel@conectiva.com.br>

> This might be a rmap, not XFS bug.
>
> (Rik: he has reproduced it without the nvidia module)

Andrew Morton managed to reproduce it with just ext3.

It's a subtle race between vmtruncate, truncate and the
page fault path.  I'm not sure exactly why it can hit,
but it does hit at times...

> > static void truncate_complete_page(struct page *page)
> > {
> >  /* Page has already been removed from processes, by vmtruncate()  */
> >  if (page->pte_chain)
> >   BUG();

I'll change this code for the next release of rmap,
against kernel 2.4.19.

regards,

Rik
-- 
Bravely reimplemented by the knights who say "NIH".

Version-Release number of selected component (if applicable):

Note You need to log in before you can comment on or make changes to this bug.